#include <stdio.h>

static char buf[64];

void __set_prefix(void)
{
  char c,l;
  __pdos_cmd.get_prefix.cnt=1;
  __pdos_cmd.get_prefix.data_buffer=buf;
  __pdos_call(PDOS_GET_PREFIX);
  if(__pdos_err==0&&*buf==0){
   for(l=0,c=1;c<=*(char*)0x280;c++) if(((char*)0x280)[c]=='/') l=c;
   c=*(char*)0x280;
   *(char*)0x280=l;
   __pdos_cmd.set_prefix.cnt=1;
   __pdos_cmd.set_prefix.name=(void*)0x280;
   __pdos_call(PDOS_SET_PREFIX);
   *(char*)0x280=c;
  }
}
